import React from 'react';
import {  
    Link
} from 'react-router-dom';
import "./navi.css";

function Navi(props) {
    let directories;

    if (props.router) {
        directories = props.dirs.map(dir => {
            const newClassList = (dir.icon).concat(" fa-2x icon-nav");
            
            return (
            <li>
                <Link to={dir.dir}>
                    <span className="icon"><i className={newClassList}></i></span>
                    <span className="icon-title">{dir.name}</span>
                </Link>
            </li>);
        });
    } else {
        directories = props.dirs.map(dir => {
            const newClassList = (dir.icon).concat(" fa-2x icon-nav");
            
            return (
            <li>
                <a href={dir.dir}>
                    <span className="icon"><i className={newClassList}></i></span>
                    <span className="icon-title">{dir.name}</span>
                </a>
            </li>);
        });
    }

    const handleMenu = () => {
        document.getElementById('box').classList.toggle('active');
        document.getElementById('hamburger').classList.toggle('active');
    };

    return(
        <navbar id="navbar">
            <div id="hamburger" onClick={handleMenu}>
                <div id="top"></div>
                <div id="middle"></div>
                <div id="bottom"></div>
            </div>
            <div id="box">
                <ul id="nav">
                    {directories}
                </ul>
            </div>
        </navbar>);
}

export default Navi;